Delete document
curl --request DELETE \
--url https://api.sigmamind.ai/v1/knowledge-bases/{kbId}/documents/{documentId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sigmamind.ai/v1/knowledge-bases/{kbId}/documents/{documentId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sigmamind.ai/v1/knowledge-bases/{kbId}/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/knowledge-bases",
"status": 400,
"timestamp": "2026-05-14T14:27:22.390Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/knowledge-bases",
"status": 401,
"timestamp": "2026-05-14T14:27:22.390Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/knowledge-bases",
"status": 403,
"timestamp": "2026-05-14T14:27:22.390Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/knowledge-bases",
"status": 404,
"timestamp": "2026-05-14T14:27:22.390Z"
}{
"error": "Payload Too Large",
"message": "An uploaded file exceeds the per-file size limit (25 MB).",
"path": "/v1/knowledge-bases",
"status": 413,
"timestamp": "2026-05-14T14:27:22.390Z"
}{
"error": "Unsupported Media Type",
"message": "Uploaded file type is not supported. Allowed: PDF, TXT, HTML, Markdown, DOCX.",
"path": "/v1/knowledge-bases",
"status": 415,
"timestamp": "2026-05-14T14:27:22.390Z"
}{
"error": "Internal Server Error",
"message": "Something went wrong on the server",
"path": "/v1/knowledge-bases",
"status": 500,
"timestamp": "2026-05-14T14:27:22.390Z"
}Knowledge bases
Delete document
Deletes a specific source from a knowledge base. Other sources remain unaffected.
DELETE
/
v1
/
knowledge-bases
/
{kbId}
/
documents
/
{documentId}
Delete document
Authorizations
Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.
Path Parameters
The kbId of the knowledge base containing the document to remove.
Source id from the knowledge base details (starts with doc_).
Response
Removed.
⌘I